summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Dugan Chen <dugan [underscore] c [at] fastmail [dot] fm>2011-08-30 07:51:42 -0300
committer Niels Horn <niels.horn@slackbuilds.org>2011-08-30 07:51:42 -0300
commit6c2c4eb6dba68a9f07fa74cd28e854ab8a1c7e60 (patch)
tree5ba86b70d59b28ad92297810fc3800e57e40be64 /system
parent2595b403f3ddc73eac5c3db43c075204191aa837 (diff)
downloadslackbuilds-6c2c4eb6dba68a9f07fa74cd28e854ab8a1c7e60.tar.gz
slackbuilds-6c2c4eb6dba68a9f07fa74cd28e854ab8a1c7e60.tar.xz
system/oss: Updated for version 4.2.2005.
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/oss/doinst.sh3
-rw-r--r--system/oss/oss.SlackBuild12
-rw-r--r--system/oss/oss.info8
3 files changed, 15 insertions, 8 deletions
diff --git a/system/oss/doinst.sh b/system/oss/doinst.sh
index b9b1c208fa..ff13b1c6fa 100644
--- a/system/oss/doinst.sh
+++ b/system/oss/doinst.sh
@@ -21,3 +21,6 @@ fi
config etc/oss.conf.new
config etc/rc.d/rc.oss.new
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/system/oss/oss.SlackBuild b/system/oss/oss.SlackBuild
index ad73ca7658..636973cf8b 100644
--- a/system/oss/oss.SlackBuild
+++ b/system/oss/oss.SlackBuild
@@ -5,7 +5,7 @@
# Written by Dugan Chen (dugan [underscore] c [at] fastmail [dot] fm).
PRGNAM=oss
-VERSION=${VERSION:-4.2.2004}
+VERSION=${VERSION:-4.2.2005}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -41,7 +41,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e # Exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -77,12 +77,16 @@ mv $PKG/etc/oss.conf $PKG/etc/oss.conf.new
mkdir -p $PKG/etc/rc.d
cat $CWD/rc.oss > $PKG/etc/rc.d/rc.oss.new
+mkdir -p $PKG/usr/share/applications
+cat $CWD/ossxmix.desktop > $PKG/usr/share/applications/ossxmix.desktop
+
mkdir -p $PKG/etc/xdg/autostart
-cat $CWD/ossxmix.desktop > $PKG/etc/xdg/autostart/ossxmix.desktop
+( cd $PKG/etc/xdg/autostart
+ ln -sf /usr/share/applications/ossxmix.desktop .
+)
# Fix location of manual pages
mv $PKG/usr/share/man $PKG/usr
-rm -rf $PKG/usr/share
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a COPYING Changelog RELNOTES.txt $PKG/usr/doc/$PRGNAM-$VERSION
diff --git a/system/oss/oss.info b/system/oss/oss.info
index e03997f940..f92eea3c81 100644
--- a/system/oss/oss.info
+++ b/system/oss/oss.info
@@ -1,10 +1,10 @@
PRGNAM="oss"
-VERSION="4.2.2004"
+VERSION="4.2.2005"
HOMEPAGE="http://www.opensound.com"
-DOWNLOAD="http://www.4front-tech.com/developer/sources/stable/gpl/oss-v4.2-build2004-src-gpl.tar.bz2"
-MD5SUM="256aba264d523fb8ee444aaacfb8d3da"
+DOWNLOAD="http://www.4front-tech.com/developer/sources/stable/gpl/oss-v4.2-build2005-src-gpl.tar.bz2"
+MD5SUM="964b1ec63b48b22baba6688fe2fc0633"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="Dugan Chen"
EMAIL="dugan [underscore] c [at] fastmail [dot] fm"
-APPROVED="rworkman"
+APPROVED="Niels Horn"